edu.northwestern.at.morphadorner.corpuslinguistics.postagger

## Class PennTreebankPartOfSpeechTagger

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.AbstractPartOfSpeechTagger
    - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.trigram.TrigramTagger
      - - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.PennTreebankPartOfSpeechTagger

- All Implemented Interfaces:
    UsesLexicon, PartOfSpeechTagger, IsCloseable, UsesLogger

      public class PennTreebankPartOfSpeechTagger
      extends TrigramTagger
      implements PartOfSpeechTagger

  Default Part of Speech tagger.

  The Penn Treebank part of speech tagger is a trigram tagger using the Penn Treebank part of speech tag set.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.trigram.TrigramTagger

      `beamSearchRejections, contextualProbabilities, debug, linesTagged, viterbi, wordsTagged`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.AbstractPartOfSpeechTagger

      `contextRules, contextualSmoother, dynamicLexicon, lexicalRules, lexicalSmoother, lexicon, logger, partOfSpeechGuesser, postTokenizer, retagger, ruleCorrections, transitionMatrix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PennTreebankPartOfSpeechTagger()` Create default part of speech tagger.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.trigram.TrigramTagger

      `processWord, reportEndOfTaggingStats, setLogger, tagAdornedWordList, tagAdornedWordSentences, tagSentences, toString, usesTransitionProbabilities`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.postagger.AbstractPartOfSpeechTagger

      `clearRuleCorrections, createPartOfSpeechGuesser, getContextualSmoother, getDynamicLexicon, getLexicalSmoother, getLexicon, getLexicon, getLogger, getMostCommonTag, getPartOfSpeechGuesser, getPostTokenizer, getRetagger, getRuleCorrections, getTagCount, getTagsForWord, getTransitionMatrix, incrementRuleCorrections, retagWords, setContextRules, setContextualSmoother, setLexicalRules, setLexicalSmoother, setLexicon, setPartOfSpeechGuesser, setPostTokenizer, setRetagger, setTransitionMatrix, tagAdornedWordSentence, tagSentence, usesContextRules, usesLexicalRules`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.postagger.PartOfSpeechTagger

      `clearRuleCorrections, getContextualSmoother, getLexicalSmoother, getLexicon, getLexicon, getPartOfSpeechGuesser, getPostTokenizer, getRetagger, getRuleCorrections, getTagCount, getTagsForWord, getTransitionMatrix, incrementRuleCorrections, retagWords, setContextRules, setContextualSmoother, setLexicalRules, setLexicalSmoother, setLexicon, setPartOfSpeechGuesser, setPostTokenizer, setRetagger, setTransitionMatrix, tagAdornedWordList, tagAdornedWordSentence, tagAdornedWordSentences, tagSentence, tagSentences, usesContextRules, usesLexicalRules, usesTransitionProbabilities`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### PennTreebankPartOfSpeechTagger

          public PennTreebankPartOfSpeechTagger()
                                         throws java.lang.Exception

      Create default part of speech tagger.
      Throws:
        `java.lang.Exception` - when tagger initialization fails.